> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Url to Review

> Extract reviews from a domain website.



## OpenAPI

````yaml POST /features/url-to-review
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /features/url-to-review:
    post:
      description: Extract reviews from a domain website.
      requestBody:
        description: Domain review extraction parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UrlToReviewRequest'
            examples:
              example1:
                value:
                  query: https://www.feedspace.io/
        required: true
      responses:
        '200':
          description: Review extracted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UrlToReviewResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    UrlToReviewRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: URL of the domain to extract information from
    UrlToReviewResponse:
      type: object
      properties:
        review_text:
          type: string
          description: Text of the review
        review_title:
          type: string
          description: Title of the review
        author_company:
          type:
            - string
            - 'null'
          description: Company of the review author
        author_name:
          type: string
          description: Name of the review author
        author_details:
          type: string
          description: Details about the review author
        author_position:
          type:
            - string
            - 'null'
          description: Position or title of the review author
        author_profile_image_url:
          type:
            - string
            - 'null'
          description: URL to the author's profile image
        review_date:
          type:
            - string
            - 'null'
          description: Date when the review was posted
        review_rating:
          type:
            - number
            - 'null'
          description: Rating given in the review
        review_url:
          type:
            - string
            - 'null'
          description: URL to the original review
        review_media:
          type: array
          items:
            review_media_type: string
            review_media_url: string
          description: ' URL and type of the media'
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````